#!/bin/zsh
. /etc/profile
HISTFILE=$HOME/.cache/zsh/history
SAVEHIST=100000000
HISTSIZE=$SAVEHIST
setopt appendhistory
autoload -U compinit
zstyle ':completion:*' menu select
zmodload zsh/complist
compinit
comp_options+=(globdots)
zstyle ':completion:*' matcher-list 'm:{a-z}={A-Z}'
source /usr/share/zsh/site-functions/zsh-autosuggestions.zsh && fpath=(/usr/share/zsh/site-functions $fpath) && source /usr/share/zsh/site-functions/zsh-syntax-highlighting.zsh
autoload -U colors && colors && setopt prompt_subst
ZSH_AUTOSUGGEST_HIGHLIGHT_STYLE="fg=5"
ZSH_AUTOSUGGEST_HIGHLIGHT_STYLE="fg=12"
LIBCLANG_PATH=/usr/lib/llvm/20/lib64
source ~/.zprofile
#PS1="%B%F{#f0f0f0}[%F{#ff5f5f}%n%F{#f0f0f0}@%M %F{#5fafff}%~%F{#f0f0f0}]%f%F{#fe8019}%B%%%b%f "
PATH=$PATH:/home/coast/.spicetify

#export PS1="%F{15}[%f%F{252}%B%n%b%f%F{15}@%f%F{15}%B%m%b%f%F{15}]%f%F{252}[%f%F{15}%B%~%b%f%F{252}]%f%%%B%b "
export PS1="%F{153}[%f%F{250}%B%n%b%f%F{153}@%f%F{153}%B%m%b%f%F{153}]%f%F{250}[%f%F{153}%B%~%b%f%F{250}]%f%\&%B%b "
